package fr.asip.cps3.exemple.modele.resultats;

/**
 * Classe représentant le résultat de génération d'empreinte d'un fichier
 */
public class ResultatEmpreinteFichier extends ResultatTriple {

	/**
	 * L'empreinte
	 */
	private String empreinte;

	/**
	 * Constructeur
	 * @param operation1 Description de la première opération
	 * @param operation2 Description de la deuxième opération
	 * @param operation3 Description de la troisième opération
	 */
	public ResultatEmpreinteFichier(String operation1, String operation2, String operation3){
		this(operation1, operation2, operation3, "");
	}
	
	/**
	 * Constructeur
	 * @param operation1 Description de la première opération
	 * @param operation2 Description de la deuxième opération
	 * @param operation3 Description de la troisième opération
	 * @param empreinte L'empreinte
	 */
	public ResultatEmpreinteFichier(String operation1, String operation2, String operation3, String empreinte){
		super(operation1, operation2, operation3);
		this.empreinte = empreinte;
	}
	
	/**
	 * Accesseur
	 * @return L'empreinte
	 */
	public String getEmpreinte() {
		return this.empreinte;
	}

	/**
	 * Mutateur
	 * @param empreinte L'empreinte
	 */
	public void setEmpreinte(String empreinte) {
		this.empreinte = empreinte;
	}

}
